manifoldcf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Karl Wright (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CONNECTORS-915) Remove HttpClient 4.3 deprecation warnings from Apache Solr 5.x Plugin, when it exists
Date Sun, 08 Mar 2015 14:29:38 GMT

    [ https://issues.apache.org/jira/browse/CONNECTORS-915?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14352061#comment-14352061
] 

Karl Wright commented on CONNECTORS-915:
----------------------------------------

Hi Ahmet,

When you adopted Maven for release of solr plugins, as you may recall we decided to use the
ElasticSearch plugin as a model.

The current downloadable Solr-3.x and Solr-4.x artifacts are *not* built with maven; they
use the older ant build.  So there will be some differences.  Personally I don't think the
differences are that important, EXCEPT to make sure that the source file should include everything
needed to build with, and to make sure that the binary distribution has nothing more in it
than is actually needed for binary integration.  So I guess you could do one of two things:

(1) Change the packaging for *all* of the plugin binaries to be consistent with what the ant
build did before, including the ElasticSearch one; 
(2) Leave the packaging as-is for all Solr and ES plugins, since they are now consistent with
each other at least.

Up to you.
 

> Remove HttpClient 4.3 deprecation warnings from Apache Solr 5.x Plugin, when it exists
> --------------------------------------------------------------------------------------
>
>                 Key: CONNECTORS-915
>                 URL: https://issues.apache.org/jira/browse/CONNECTORS-915
>             Project: ManifoldCF
>          Issue Type: Task
>          Components: Solr-4.x-component
>    Affects Versions: ManifoldCF 1.5.1
>            Reporter: Ahmet Arslan
>            Assignee: Ahmet Arslan
>            Priority: Minor
>             Fix For: ManifoldCF next
>
>         Attachments: CONNECTORS-915.patch, CONNECTORS-915.patch, solr5x.patch
>
>
> Solr 4.7.0 uses HttpClient 4.3.1 which deprecates pretty much the entire way you used
to build httpclient instances. Lets use new API for integration/solr-4.x/trunk



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message